Bug 1764673 - [RFE] backport boost::container::flat_map rgw_dir_entry rep (perf)
Summary: [RFE] backport boost::container::flat_map rgw_dir_entry rep (perf)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 3.3
Hardware: All
OS: All
medium
low
Target Milestone: rc
: 4.0
Assignee: Matt Benjamin (redhat)
QA Contact: Tejas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-23 15:03 UTC by Matt Benjamin (redhat)
Modified: 2020-08-19 17:07 UTC (History)
8 users (show)

Fixed In Version: ceph-14.2.4-33.el8cp, ceph-14.2.4-2.el7cp
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-31 12:47:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ceph ceph pull 28637 0 None closed rgw: s/std::map/boost::container::flat_map/ cls_bucket_list_ordered 2020-09-11 06:04:08 UTC
Red Hat Product Errata RHBA-2020:0312 0 None None None 2020-01-31 12:48:16 UTC

Description Matt Benjamin (redhat) 2019-10-23 15:03:19 UTC
Description of problem:
An upstream change to the representation of bucket-index entry significantly reduced allocation overhead.  Backport it for rhcs-4.0.

Comment 7 errata-xmlrpc 2020-01-31 12:47:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0312


Note You need to log in before you can comment on or make changes to this bug.